#!/bin/bash

if [ $# -ge 1 ] 
	then appath=$1
	else exit
fi

if [ $# -ge 2 ]
        then bkpath=$2
        else bkpath="/usr/local/app/update";
fi

if [ $# -ge 3 ]
        then sms_umask=$3
        else sms_umask="770";
fi

update_sms_app()
{
	echo "";
	echo "";
	echo "	 **** Update ASPSMS Application ****";
	echo "";
	echo "Please wait ...";
	echo "";
	echo "Update new ASPSMS application ...";
	cd $appath 
	rm cache/menucache*
	/bin/tar xvfz $bkpath/sms_upd.tar.gz
	chmod -R $sms_umask *
	chown -R apache.apache *
	chown -R wwwrun.www *
	cd
	echo "---------SCRIPT------" >> $bkpath/sam_upd_error.txt 
	ls -alt $appath >> $bkpath/sam_upd_error.txt
	echo "Update ASPSMS Application DONE.";
}

update_sms_app
